Bug 602767 - Review Request: perl-MooseX-MarkAsMethods - Mark overload code symbols as methods
Review Request: perl-MooseX-MarkAsMethods - Mark overload code symbols as met...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 599859
  Show dependency treegraph
 
Reported: 2010-06-10 13:30 EDT by Petr Pisar
Modified: 2010-07-07 13:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-18 05:20:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mmaslano: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2010-06-10 13:30:53 EDT
Spec URL: http://ppisar.fedorapeople.org/perl-MooseX-MarkAsMethods/perl-MooseX-MarkAsMethods.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-MooseX-MarkAsMethods/perl-MooseX-MarkAsMethods-0.08-1.fc13.src.rpm
Description:
MooseX::MarkAsMethods allows one to easily mark certain functions as Moose
methods. This will allow other packages such as namespace::autoclean to
operate without blowing away your overloads. After using
MooseX::MarkAsMethods your overloads will be recognized by Class::MOP as
being methods, and class extension as well as composition from roles with
overloads will "just work".

This package is required to upgrade perl-Archive-RPM to 0.05 version.

Package compiles on F14--13. F12 has too old perl-Moose.

I'm not sure whether include both README and README.mkdn into %doc. They are similar but the latter one is generated at compile time. Current spec file includes both of them.
Comment 1 Marcela Mašláňová 2010-06-14 08:42:23 EDT
OK rpmlint checks return: 
[marca@caladan SRPMS]$ rpmlint perl-MooseX-MarkAsMethods-0.08-1.fc13.src.rpm 
perl-MooseX-MarkAsMethods.src: W: spelling-error %description -l en_US namespace -> name space, name-space, names pace
perl-MooseX-MarkAsMethods.src: W: spelling-error %description -l en_US autoclean -> auto clean, auto-clean, autoclave
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
[marca@caladan SRPMS]$ rpmlint ../RPMS/noarch/perl-MooseX-MarkAsMethods-0.08-1.fc13.noarch.rpm 
perl-MooseX-MarkAsMethods.noarch: W: spelling-error %description -l en_US namespace -> name space, name-space, names pace
perl-MooseX-MarkAsMethods.noarch: W: spelling-error %description -l en_US autoclean -> auto clean, auto-clean, autoclave
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


OK package meets naming guidelines
OK package meets packaging guidelines
OK license (LGPLv2+) OK, text in %doc, matches source
OK spec file legible, in am. english
OK source matches upstream
OK package compiles on devel (x86)
OK no missing BR
OK no unnecessary BR
OK no locales
OK not relocatable
OK owns all directories that it creates
OK no duplicate files
OK permissions ok
OK %clean ok
OK macro use consistent
OK code, not content
OK no need for -docs
OK nothing in %doc affects runtime
OK no need for .desktop file 

New version 0.09 is available. Please update, the latest version is fixing version of Moose in requirements.
Comment 2 Marcela Mašláňová 2010-06-14 08:42:53 EDT
Both readme could stay in package.
Comment 3 Petr Pisar 2010-06-14 11:51:20 EDT
Both spelling errors are false; The words are literals (perl package name).

New version 0.09 does not provide fix. It still does not updates required version in the module itself. Upstream noticed. Do you mind reviewing 0.08? Both versions are almost identical.

The 0.08 spec includes both REAMDE files yet.

Marcela, could accept this package and set review flag to +?
Comment 4 Marcela Mašláňová 2010-06-15 11:05:50 EDT
ACCEPTED
Comment 5 Petr Pisar 2010-06-15 12:11:41 EDT
New Package CVS Request
=======================
Package Name: perl-MooseX-MarkAsMethods
Short Description: Mark overload code symbols as methods
Owners: ppisar mmaslano psabata
Branches: F-13
InitialCC: perl-sig
Comment 6 Huzaifa S. Sidhpurwala 2010-06-18 03:59:48 EDT
cvs done
Comment 7 Petr Pisar 2010-06-18 05:20:32 EDT
Thank you for review and CVS update. Package built for F-14 and F-13.
Comment 8 Fedora Update System 2010-06-18 05:31:48 EDT
perl-MooseX-MarkAsMethods-0.10-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-MooseX-MarkAsMethods-0.10-1.fc13
Comment 9 Fedora Update System 2010-07-07 13:51:38 EDT
perl-MooseX-MarkAsMethods-0.10-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.